import axios from "@/utils/request";

export function getUdiInfos(query) {
  return axios({
    url: "/udiwms/udiinfo/filterUdi",
    method: "get",
    params: query
  });
}

export function filterRel(query) {
  return axios({
    url: "/udiwms/udiinfo/rel/filter",
    method: "get",
    params: query
  });
}

export function filterDict(query) {
  return axios({
    url: "/udiwms/udiinfo/dict/filter",
    method: "get",
    params: query
  });
}


export function filterCompany(query) {
  return axios({
    url: "/udiwms/udiinfo/filterCompany",
    method: "get",
    params: query
  });
}

export function filterByUuid(query) {
  return axios({
    url: "/udiwms/udiinfo/local/filterByUuid",
    method: "get",
    params: query
  });
}

export function filterByVersion(query) {
  return axios({
    url: "/udiwms/syncdi/version",
    method: "get",
    params: query
  });
}

export function selectOriginuuid(query) {
  return axios({
    url: "/udi/udirel/selectOriginuuid",
    method: "post",
    data: query
  });
}

